summaryrefslogtreecommitdiffstats
path: root/test/units/testsuite-44.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/units/testsuite-44.sh')
-rwxr-xr-xtest/units/testsuite-44.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/test/units/testsuite-44.sh b/test/units/testsuite-44.sh
new file mode 100755
index 0000000..9754163
--- /dev/null
+++ b/test/units/testsuite-44.sh
@@ -0,0 +1,19 @@
+#!/usr/bin/env bash
+set -ex
+
+systemd-analyze log-level debug
+
+systemd-run -p LogNamespace=foobar echo "hello world"
+
+journalctl --namespace=foobar --sync
+journalctl --namespace=foobar > /tmp/hello-world
+journalctl > /tmp/no-hello-world
+
+grep "hello world" /tmp/hello-world
+! grep "hello world" /tmp/no-hello-world
+
+systemd-analyze log-level info
+
+echo OK > /testok
+
+exit 0